Skip to navigation

Delete task

Deletes a task and its embedded artifacts from an active order template. | authz: min_org_role=operator | () -> (OrderTemplateNew1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

order_template_idstringRequired
task_keystringRequiredformat: "uuid4"

Response

Successful Response
_idstring
created_at_timestampstringformat: "date-time"
last_edited_at_timestampstringformat: "date-time"
namestring1-1024 characters
owned_by_org_idstring

Must be a string starting with org_

owned_by_user_idstring

Must be a string starting with user_

schema_versioninteger
archived_at_timestampstring or nullOptionalformat: "date-time"
cargoslist of objectsOptional
coordinator_assigned_user_idslist of stringsOptional
coordinator_department_idslist of stringsOptional
coordinator_labelslist of stringsOptional
coordinator_org_idstring or nullOptional
descriptionstring or nullOptional<=16384 characters
last_used_at_timestampstring or nullOptionalformat: "date-time"
off_chrt_reference_idstring or nullOptionalformat: "^[A-Za-z0-9._~\-]{1,64}$"1-64 characters
off_chrt_shipper_org_data_idstring or nullOptional
service_lineenumOptional
Allowed values:
shipper_org_idstring or nullOptional
task_groupslist of objectsOptional
task_lists_to_apply_at_order_creationlist of objectsOptional
task_lists_to_apply_at_order_staginglist of objectsOptional

Errors

422
Unprocessable Entity Error